import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;

class ce4a 
{ 
	 	
public ce4a(double x1,String s) 
{  double r= dfdx(new fa(),x1,1e-3);
   JOptionPane.showMessageDialog(null," türev değeri  : "+r,
   "f(x) = "+s,JOptionPane.PLAIN_MESSAGE);
}

public static double dfdx(f_x f,double x,double h)
{ double hh=1.0/h; 
  return (-f.func(x+2.0*h)+8.0*f.func(x+h)-8.0*f.func(x-h)+f.func(x-2.0*h))/12.0*hh;
}
}
